#!/usr/bin/env perl

use v5.30.0;

use strict;
use warnings;

use Test::Most tests => 3;
use Test::MockModule;
use Test::MockObject;

BEGIN {
    unshift @INC, 'lib';
    use_ok 'DoctorKarma::Telegram';
}

{
    my $result = 'hola'; 
    my $telegram = DoctorKarma::Telegram->new (telegram_token => $result);
    ok $telegram->isa('DoctorKarma::Telegram'), 'Telegram object created successfully.';
    is $telegram->_telegram_token, $result, 'Telegram token setup was successful.';
}
